Name: coredns
Version: 1.12.1
Release: 2%{?dist}
Summary: CoreDNS is a DNS server that chains plugins
License: ASL 2.0
URL: https://github.com/coredns/coredns
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: coredns.service
Source2: coredns.default
Source3: Corefile
BuildArch: x86_64

BuildRequires: systemd-rpm-macros, git-core, golang
Requires(pre): shadow-utils
%{?systemd_requires}

%define debug_package %{nil}

%description
CoreDNS is a fast and flexible DNS server. The key word here is flexible: with CoreDNS you are able to do what you want with your DNS data by utilizing plugins. If some functionality is not provided out of the box you can add it by writing a plugin.

%prep
%autosetup -p1

%build
make

%install
install -D -m 755 coredns %{buildroot}%{_bindir}/coredns
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/coredns/Corefile

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/coredns.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/coredns

mkdir -p %{buildroot}%{_mandir}/man{1,5,7}
install -D -m 644 man/*.1 %{buildroot}%{_mandir}/man1/
install -D -m 644 man/*.5 %{buildroot}%{_mandir}/man5/
install -D -m 644 man/*.7 %{buildroot}%{_mandir}/man7/

%clean
rm -rf %{buildroot}

%pre
getent group coredns >/dev/null || groupadd -r coredns
getent passwd coredns >/dev/null || \
  useradd -r -g coredns -s /sbin/nologin \
          -c "CoreDNS services" coredns
exit 0

%post
%systemd_post coredns.service

%preun
%systemd_preun coredns.service

%postun
%systemd_postun coredns.service

%files
%defattr(-,root,root,-)
%{_unitdir}/coredns.service
%{_bindir}/coredns
%{_mandir}/man*/*
%config(noreplace) %{_sysconfdir}/coredns/Corefile
%config(noreplace) %{_sysconfdir}/sysconfig/coredns

%changelog
* Sat May 31 2025 Martin Kaufmann <martinkaufmann@tuta.io> - 1.12.1-2
- Build from source
* Tue May 20 2025 Martin Kaufmann <martinkaufmann@tuta.io> - 1.12.1-1
- Initial build
